Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request POST \
--url https://{instance}.omniapp.co/api/v1/users/email-only \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "iamagoodblob@blobsrus.co"
}
'{
"email": "iamagoodblob@blobsrus.co",
"userId": "9e8719d9-276a-4964-9395-a493189a247c"
}curl --request POST \
--url https://{instance}.omniapp.co/api/v1/users/email-only \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "iamagoodblob@blobsrus.co"
}
'{
"email": "iamagoodblob@blobsrus.co",
"userId": "9e8719d9-276a-4964-9395-a493189a247c"
}Creates or updates an email-only user. An email-only user is a recipient of a delivery that isn’t associated with an Omni account. If Omni matches the provided email to an existing email-only user, the user will be updated according to theDocumentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
userAttributes in the request body.
Requires an Organization API Key. Personal Access Tokens (PATs) are not supported for this endpoint.
Include in the Authorization header as: Bearer ORGANIZATION_API_KEY
The user's email address.
An object defining the user's user attributes. Attributes are represented as key/value pairs, where the keys map to the IDs of user attributes (the Reference column in the User attributes page) defined in Omni.
When providing user attributes, note that:
omni_user_timezone is the only supported system attributenumber attribute values must be numbers such as 1, 10, etc.["US","EU"] or [1, 10]To unset attributes:
null values"" - Empty strings for string attributes[] - Empty arrays for multi-value attributesWas this page helpful?